<?php
// $Id: media_webcam.admin.inc,v 1.1.2.1 2010/12/14 22:10:51 aaron Exp $

/**
 * @file
 * Administrative functions for Media: Webcam.
 */

/**
 * The administrative settings form for Media: Webcam.
 */
function media_webcam_settings() {
  $form = array();

  $form['webcam'] = array(
    '#type' => 'fieldset',
    '#title' => t('Webcam flash uploader settings'),
    '#description' => t('These settings affect the webcam flash uploader.'),
    '#collapsible' => TRUE,
  );
  $form['webcam'][media_webcam_variable_name('width')] = array(
    '#type' => 'textfield',
    '#title' => t('Width'),
    '#description' => t('Enter the width (in pixels) for the video to be uploaded.'),
    '#default_value' => media_webcam_variable_get('width'),
  );
  $form['webcam'][media_webcam_variable_name('height')] = array(
    '#type' => 'textfield',
    '#title' => t('Height'),
    '#description' => t('Enter the height (in pixels) for the video to be uploaded.'),
    '#default_value' => media_webcam_variable_get('height'),
  );
  $form['webcam'][media_webcam_variable_name('connect_url')] = array(
    '#type' => 'textfield',
    '#title' => t('Connect URL'),
    '#description' => t('Enter the RTMP URL for the Red5 or Flash Media application.'),
    '#default_value' => media_webcam_variable_get('connect_url'),
  );
  $form['webcam'][media_webcam_variable_name('base_filename')] = array(
    '#type' => 'textfield',
    '#title' => t('Base filename'),
    '#description' => t('Enter the base filename for uploaded videos, without the .flv extension.'),
    '#default_value' => media_webcam_variable_get('base_filename'),
  );

  return system_settings_form($form);
}
