// $Id: media_webcam.js,v 1.1.2.5 2010/12/14 22:15:48 aaron Exp $

/**
 * @file media_webcam/includes/themes/js/media_webcam.js
 *
 * Display the Media: Webcam flash uploader.
 */

(function($) {
  // Define Drupal.mediaWebcam.
  Drupal.mediaWebcam = Drupal.mediaWebcam || {};

  // Pass settings back to Flash webcam uploader.
  Drupal.mediaWebcam.getVariable = function(flashId, variable) {
    if (Drupal.settings.mediaWebcam.flash[flashId][variable] != undefined) {
      return Drupal.settings.mediaWebcam.flash[flashId][variable];
    }
  }

  // Send a record event to the flash.
  Drupal.mediaWebcam.recordClick = function($element) {
      var webcamFlash = document.getElementById($element.data('flashId'));
      webcamFlash.recordClick();
  }

  // Send a stop event to the flash.
  Drupal.mediaWebcam.stopClick = function($element) {
      var webcamFlash = document.getElementById($element.data('flashId'));
      webcamFlash.stopClick();
  }

  // Add the flash to the page.
  Drupal.behaviors.mediaWebcamAddFlash = function(context) {
    for (var flashId in Drupal.settings.mediaWebcam.flash) {
      // Bind the record & stop buttons to the flash trigger behavior.
      $('#' + Drupal.settings.mediaWebcam.flash[flashId].wrapperId + ' .media-webcam-record:not(.mediaWebcamAddFlash-processed)', context).each(function() {
        $(this).addClass('mediaWebcamAddFlash-processed')
          .bind('click', function(e) {
            Drupal.mediaWebcam.recordClick($(this));
          })
          .data('flashId', flashId);
      });
      $('#' + Drupal.settings.mediaWebcam.flash[flashId].wrapperId + ' .media-webcam-stop:not(.mediaWebcamAddFlash-processed)', context).each(function() {
        $(this).addClass('mediaWebcamAddFlash-processed')
          .bind('click', function(e) {
            Drupal.mediaWebcam.stopClick($(this));
          })
          .data('flashId', flashId);
      });
      $('#' + Drupal.settings.mediaWebcam.flash[flashId].wrapperId + ':not(.mediaWebcamAddFlash-processed)', context).each(function() {
        $(this).addClass('mediaWebcamAddFlash-processed');

        // Replace the Alternate div with the Flash, using swfobject.
        var flashvars = {
          id: flashId
        };
        var params = {
          menu: "false",
          scale: "noScale",
          allowFullscreen: "true",
          allowScriptAccess: "always",
          bgcolor: "#FFFFFF"
        };
        var attributes = {
          id: flashId
        };
        swfobject.embedSWF(Drupal.settings.mediaWebcam.webcamPath, flashId, Drupal.settings.mediaWebcam.flash[flashId].width, Drupal.settings.mediaWebcam.flash[flashId].height, "10.0.0", Drupal.settings.mediaWebcam.expressInstallPath, flashvars, params, attributes);
      });

    }
  }

})(jQuery);
