<?php
// $Id: media_webcam.theme.inc,v 1.1.2.5 2010/12/14 22:27:17 aaron Exp $

/**
 *  @file
 *  Theme functions for the Media: Webcam module.
 */

/**
 * Preprocess for theme('media_webcam_widget').
 */
function template_preprocess_media_webcam_widget(&$variables) {
  $variables['field'] = content_fields($variables['element']['#field_name']);
  $variables['title'] = t('@title', array('@title' => media_webcam_variable_get('title')));
  $varibles['alternate_content'] = t('@alternate_content', array('@alternate_content' => media_webcam_variable_get('alternate_content')));
  $variables['get_flash_alt'] = t('@get_flash_alt', array('@get_flash_alt' => media_webcam_variable_get('get_flash_alt')));
  $variables['get_flash_image'] = theme('image', media_webcam_variable_get('get_flash_image'), $variables['get_flash_alt'], $variables['get_flash_alt'], NULL, FALSE);
  $variables['get_flash_link'] = l($variables['get_flash_image'], media_webcam_variable_get('get_flash_url'), array('html' => TRUE));
  $id = check_plain($variables['id']);

  $variables['wrapper_id'] = "media-webcam-wrapper-$id";
  $flash_id = $variables['flash_id'] = "mediaWebcamFlash$id";

  $variables['record_string'] = t('Record');
  $variables['stop_string'] = t('Stop');

  $settings = array(
    'mediaWebcam' => array(
      'flash' => array(
        "$flash_id" => array(
          'id' => $flash_id,
          'wrapperId' => $variables['wrapper_id'],
          'width' => check_plain(media_webcam_variable_get('width')),
          'height' => check_plain(media_webcam_variable_get('height')),
          'connectUrl' => check_plain(media_webcam_variable_get('connect_url')),
          'baseFilename' => check_plain(media_webcam_variable_get('base_filename')),
        ),
      ),
    ),
  );
  media_webcam_add_js($settings);
}
